// MyToday2.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"
#include "MyToday2.h"

BOOL APIENTRY DllMain(HANDLE hModule, DWORD dwReason, LPVOID lpReserved)
{
	switch (dwReason)
	{
	case DLL_PROCESS_ATTACH :
		todayItem = new CTodayItem((HINSTANCE)hModule);
		optionDlg = new COptionDlg((HINSTANCE)hModule, todayItem, TRUE);

		break;
	case DLL_PROCESS_DETACH :
		delete todayItem;
		delete optionDlg;
		break;
	}

	return TRUE;
}

LRESULT CALLBACK WndProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	return todayItem->TodayWndProc(uMsg, wParam, lParam);
}

HWND InitializeCustomItem(TODAYLISTITEM *ptli, HWND hWndParent)
{
	todayItem->RegisterTodayClass((WNDPROC)WndProc);
	if (!todayItem->Create(ptli, hWndParent, WS_VISIBLE | WS_CHILD))
		return 0;
	todayItem->RefreshWindow(TRUE);

	return todayItem->m_hWnd;
}

LRESULT WINAPI CustomItemOptionsDlgProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	return optionDlg->TodayOptionsWndProc(hWnd, uMsg, wParam, lParam);
}
