// OptionDlg.cpp: implementation of the COptionDlg class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"
#include "TodayItem.h"
#include "OptionDlg.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
COptionDlg::COptionDlg(HINSTANCE hInstance, CTodayWindow *pToday, BOOL bFullScreen)
	: CTodayOptionsDialog(hInstance, pToday, bFullScreen)
{
	SetTitle(_T("My Today Options"), FALSE);
}

COptionDlg::~COptionDlg()
{
}

//////////////////////////////////////////////////////////////////////
// Message handlers
//////////////////////////////////////////////////////////////////////


BOOL COptionDlg::OnInitDialog(TODAYLISTITEM *ptli)
{
	BOOL bResult = CTodayOptionsDialog::OnInitDialog(ptli);

	CTodayItem *pToday = (CTodayItem*)m_pWndTW;

	CheckButton(IDC_CHECK_FIRST, pToday->m_bShowFirst);
	CheckButton(IDC_CHECK_SECOND, pToday->m_bShowSecond);
	CheckButton(IDC_CHECK_POWER, pToday->m_bShowPower);

	return bResult;
}

void COptionDlg::OnOK()
{
	CTodayItem *pToday = (CTodayItem*)m_pWndTW;

	pToday->m_bShowFirst = IsButtonChecked(IDC_CHECK_FIRST);
	pToday->m_bShowSecond = IsButtonChecked(IDC_CHECK_SECOND);
	pToday->m_bShowPower = IsButtonChecked(IDC_CHECK_POWER);

	CTodayOptionsDialog::OnOK();
}